### Encoding: latin1

### Name: diffenv
### Title: Difference between two amplitude envelopes
### Aliases: diffenv
### Keywords: dplot ts

### ** Examples

data(tico)
data(orni)
# selection in tico to have two waves of similar duration (dim)
tico2<-as.matrix(tico[1:nrow(orni),1])
diffenv(tico2,orni,f=22050,plot=TRUE)
# [1] 0.7364
# smoothing the envelope gives a better graph but changes the result
diffenv(tico2,orni,f=22050,smooth=20,plot=TRUE)
# [1] 0.6873974
# smoothing can have actually dramatic effects
# so always use the same smooth settings for comparisons
a<-synth(d=0.5,f=8000,cf=1000,plot=FALSE)
b<-synth(d=0.5,f=8000,cf=1100,plot=FALSE)
diffenv(a,b,f=8000)
# [1] 0.2727784
diffenv(a,b,f=8000,smooth=50)
# [1] 0.01012826



